
QGIS Application - Bug report #21175

QGIS crashes when  opening the attribute table in form view mode

2019-02-05 03:35 PM - Stafano Baccaro

Status: Open

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.5(master) Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28993

Description

New description:

steps to replicate:

set the default table view mode to "form view".

Open the attached project (for some reason it only opens without any bad layer only on Windows, possibly has some datasource that

Linux does not like)

open the attributes table by right clicking the layer "quadri" --> Ok

open the attributes table from the toolbar --> crash

affected 3.4.4 and master

Old description:

User Feedback

SYSTEM:

Windows 10 PRO 1803 Buid 17134.556

Project with Spataialite tables. Related to each other by PK-FK.

If I open the Attribute Table with the [Layer] menu [Open Attribute Table] 

or with the button in the button bar, the program stops and displays the 

following error, but in most cases the program freezes and closes without 

showing no error message (h2. Report Details). In the latter case, the windows event log reports 

an error of this type:

                        --------------------------------------------------------------------------------------------------------

                        Nome dell'applicazione che ha generato l'errore: qgis-bin.exe, versione: 0.0.0.0, timestamp: 0x5c42c0cf

                        Nome del modulo che ha generato l'errore: ucrtbase.dll, versione: 10.0.17134.319, timestamp: 0x40b70dec

                        Codice eccezione: 0xc0000409

                        Offset errore 0x000000000006e57e

                        ID processo che ha generato l'errore: 0xd40

                        Ora di avvio dell'applicazione che ha generato l'errore: 0x01d4bd56c39e711b

                        Percorso dell'applicazione che ha generato l'errore: C:\Program Files\QGIS 3.4\bin\qgis-bin.exe

                        Percorso del modulo che ha generato l'errore: C:\WINDOWS\System32\ucrtbase.dll

                        ID segnalazione: c270c3b9-b396-4ba4-aaf8-b14cba47f486

                        Nome completo pacchetto che ha generato l'errore: 

                        ID applicazione relativo al pacchetto che ha generato l'errore: 

                        --------------------------------------------------------------------------------------------------------

Otherwise if I open the Attribute Table using the mouse context menu (right click) and choose 

the "Open Attribute Table" command, QGIS does not stop responding.
The same problem can also be found on other computers with the same QGIS installation.

Report Details

Crash ID: 1ddc9933fe0b22cbad7654705f5e1bc061ef4b22

Stack Trace

QgsFeatureStore::setFields :

QgsFeatureFilterModel::displayExpression :

QgsFeatureFilterModel::updateCompleter :

QMetaCallEvent::placeMetaCall :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-02-05 04:17 PM - Stafano Baccaro

- File ERRORE QGIS - Apertura Tabelle Attributi.zip added

I had forgotten to attach the project.

The layer that most presents the problem is: "quadri".

#2 - 2019-02-07 11:36 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

I cannot confirm the issue here, please try with a new/clean profile (no 3rd party plugins installed).
#3 - 2019-02-08 05:55 PM - Stafano Baccaro

with:

         "new/clean profile (no 3rd party plugins installed)"

you means a fresh installation of QGIS without adding plugins?

#4 - 2019-02-08 05:56 PM - Giovanni Manghi

Stafano Baccaro wrote:

with:

"new/clean profile (no 3rd party plugins installed)"

you means a fresh installation of QGIS without adding plugins?

no need to re-install qgis, just create a new qgis profile within QGIS (QGIS3 supports multiple profiles) and then do NOT install 3rd party plugins before

re-testing.

#5 - 2019-02-08 06:38 PM - Stafano Baccaro

I created a new profile and actually the plugins installed by me in the default one do not appear.

Unfortunately, the problem reoccurs in the same way.

#6 - 2019-02-08 06:39 PM - Giovanni Manghi

Stafano Baccaro wrote:

I created a new profile and actually the plugins installed by me in the default one do not appear.

Unfortunately, the problem reoccurs in the same way.

can you share a screencast of the problem? thanks.

#7 - 2019-02-08 06:52 PM - Stafano Baccaro

I will try to do the screecast, but in the meantime, another thing I noticed is the following:

if set as default view "table view" and after opening the attribute table, step to the form view, the problem does not occur.

#8 - 2019-02-09 04:19 PM - Stafano Baccaro

- File Video 1 - 2.zip added

I had to create more videos to not exceed the allowed size (5MB):

1 - default view "table view" by opening the Attribute Table with the button does not crash

2 - default view "form view" opening the Attribute Table with the mouse context menu does not crash

3 - default view "form view" opening the Attribute table with the mouse context menu crash, very exceptional case
4 - default view "form view" opening the Attribute Table with the button crash

#9 - 2019-02-09 04:20 PM - Stafano Baccaro

- File Video 3 - 4.zip added

Video 3 and 4.

#10 - 2019-02-11 07:25 PM - Giovanni Manghi

- Subject changed from QGIS stops responding by opening the attribute table to QGIS crashes when  opening the attribute table in form view mode

- Operating System changed from Windows 10 PRO 1803 Buid 17134.556 to Windows 

- Description updated

- Affected QGIS version changed from 3.4.4 to 3.5(master)

Description improved.

#11 - 2019-03-08 10:41 AM - Giovanni Manghi

- Status changed from Feedback to Open

Files

ERRORE QGIS - Apertura Tabelle Attributi.zip 420 KB 2019-02-05 Stafano Baccaro

Video 1 - 2.zip 3.93 MB 2019-02-09 Stafano Baccaro

Video 3 - 4.zip 4.74 MB 2019-02-09 Stafano Baccaro
